$error = ForceRequiredAddOn("Vehicle_Jeep");
if($error == $Error::AddOn_Disabled) jeepVehicle.uiName = "";


datablock DebrisData(vitablockDerbis)
{
   emitters = "JeepTireDebrisTrailEmitter";

        shapeFile = "./block.dts";
        lifetime = 3.0;
        minSpinSpeed = -400.0;
        maxSpinSpeed = 200.0;
        elasticity = 0.5;
        friction = 0.2;
        numBounces = 5;
        staticOnMaxBounce = true;
        snapOnMaxBounce = false;
        fade = true;

        gravModifier = 2;
};

datablock ExplosionData(vitablockExplosion)
{
    debris = vitablockDerbis;
    debrisNum = 5;
    debrisNumVariance = 0;
    debrisPhiMin = 0;
    debrisPhiMax = 360;
    debrisThetaMin = 0;
    debrisThetaMax = 20;
    debrisVelocity = 18;
    debrisVelocityVariance = 3;
    lifeTimeMs = 1500;
    radiusDamage = 0;
    damageRadius = 0;
};

datablock ProjectileData(vitablockExplosionProjectile)
{
    explosion = vitablockExplosion;
    lifetime = 32;
    explodeOnDeath = true;
    uiName = "Block Explosion";
    fadeDelay = 16;
    armingDelay = 0;
    directDamageType = $DamageType::Default;
    radiusDamageType = $DamageType::Default;
};

//now for the small explosion

datablock DebrisData(vitaSmallblockDerbis)
{
   emitters = "JeepTireDebrisTrailEmitter";

        shapeFile = "./block.dts";
        lifetime = 3.0;
        minSpinSpeed = -400.0;
        maxSpinSpeed = 200.0;
        elasticity = 0.5;
        friction = 0.2;
        numBounces = 5;
        staticOnMaxBounce = true;
        snapOnMaxBounce = false;
        fade = true;

        gravModifier = 2;
};

datablock ExplosionData(vitaSmallblockExplosion)
{
    debris = vitaSmallblockDerbis;
    debrisNum = 5;
    debrisNumVariance = 0;
    debrisPhiMin = 0;
    debrisPhiMax = 360;
    debrisThetaMin = 0;
    debrisThetaMax = 20;
    debrisVelocity = 7;
    debrisVelocityVariance = 3;
    lifeTimeMs = 1500;
    radiusDamage = 0;
    damageRadius = 0;
};

datablock ProjectileData(vitaSmallblockExplosionProjectile)
{
    explosion = vitaSmallblockExplosion;
    lifetime = 32;
    explodeOnDeath = true;
    uiName = "Block Explosion Small";
    fadeDelay = 16;
    armingDelay = 0;
    directDamageType = $DamageType::Default;
    radiusDamageType = $DamageType::Default;
};
